package com.ruoyi.school.paper.domain.bo;

import com.ruoyi.common.core.validate.AddGroup;
import com.ruoyi.common.core.validate.EditGroup;
import lombok.Data;
import lombok.EqualsAndHashCode;
import javax.validation.constraints.*;

import java.util.Date;

import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 错题集业务对象 db_error_list
 *
 * @author zyf
 * @date 2023-07-20
 */

@Data
@EqualsAndHashCode(callSuper = true)
public class DbErrorListBo extends BaseEntity {

    /**
     * 主键id
     */
    @NotNull(message = "主键id不能为空", groups = { EditGroup.class })
    private Long id;

    /**
     * 用户id
     */
    @NotNull(message = "用户id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long userId;

    /**
     * 试卷id
     */
    @NotNull(message = "试卷id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long paperId;

    /**
     * 题目id
     */
    @NotNull(message = "题目id不能为空", groups = { AddGroup.class, EditGroup.class })
    private Long questionBankId;

    /**
     * 备注
     */
    @NotBlank(message = "备注不能为空", groups = { AddGroup.class, EditGroup.class })
    private String remark;

    /**
     * 状态：0正常，1删除
     */
    @NotNull(message = "状态：0正常，1删除不能为空", groups = { AddGroup.class, EditGroup.class })
    private Integer status;


}
